| Flutter iOS Embedder |

Macros | Typedefs | Enumerations | Functions | Variables
IOKit.h File Reference
`#include <CoreFoundation/CoreFoundation.h>`
`#include <mach/mach.h>`
`#include <stdint.h>`
`#include <device/device_types.h>`

Go to the source code of this file.

## Macros
#define | IOKIT

## Typedefs
typedef io_object_t | io_registry_entry_t
typedef io_object_t | io_service_t
typedef io_object_t | io_connect_t
typedef io_object_t | io_iterator_t

## Enumerations
enum | { kIOReturnSuccess = 0 }

## Functions
kern_return_t | IOObjectRetain (io_object_t object)
kern_return_t | IOObjectRelease (io_object_t object)
boolean_t | IOObjectConformsTo (io_object_t object, const io_name_t name)
uint32_t | IOObjectGetKernelRetainCount (io_object_t object)
kern_return_t | IOObjectGetClass (io_object_t object, io_name_t name)
CFStringRef | IOObjectCopyClass (io_object_t object)
CFStringRef | IOObjectCopySuperclassForClass (CFStringRef name)
CFStringRef | IOObjectCopyBundleIdentifierForClass (CFStringRef name)
io_registry_entry_t | IORegistryGetRootEntry (mach_port_t master)
kern_return_t | IORegistryEntryGetName (io_registry_entry_t entry, io_name_t name)
kern_return_t | IORegistryEntryGetRegistryEntryID (io_registry_entry_t entry, uint64_t *entryID)
kern_return_t | IORegistryEntryGetPath (io_registry_entry_t entry, const io_name_t plane, io_string_t path)
kern_return_t | IORegistryEntryGetProperty (io_registry_entry_t entry, const io_name_t name, io_struct_inband_t buffer, uint32_t *size)
kern_return_t | IORegistryEntryCreateCFProperties (io_registry_entry_t entry, CFMutableDictionaryRef *properties, CFAllocatorRef allocator, uint32_t options)
CFTypeRef | IORegistryEntryCreateCFProperty (io_registry_entry_t entry, CFStringRef key, CFAllocatorRef allocator, uint32_t options)
kern_return_t | IORegistryEntrySetCFProperties (io_registry_entry_t entry, CFTypeRef properties)
kern_return_t | IORegistryCreateIterator (mach_port_t master, const io_name_t plane, uint32_t options, io_iterator_t *it)
kern_return_t | IORegistryEntryCreateIterator (io_registry_entry_t entry, const io_name_t plane, uint32_t options, io_iterator_t *it)
kern_return_t | IORegistryEntryGetChildIterator (io_registry_entry_t entry, const io_name_t plane, io_iterator_t *it)
kern_return_t | IORegistryEntryGetParentIterator (io_registry_entry_t entry, const io_name_t plane, io_iterator_t *it)
io_object_t | IOIteratorNext (io_iterator_t it)
boolean_t | IOIteratorIsValid (io_iterator_t it)
void | IOIteratorReset (io_iterator_t it)
CFMutableDictionaryRef | IOServiceMatching (const char *name) CF_RETURNS_RETAINED
CFMutableDictionaryRef | IOServiceNameMatching (const char *name) CF_RETURNS_RETAINED
io_service_t | IOServiceGetMatchingService (mach_port_t master, CFDictionaryRef matching CF_RELEASES_ARGUMENT)
kern_return_t | IOServiceGetMatchingServices (mach_port_t master, CFDictionaryRef matching CF_RELEASES_ARGUMENT, io_iterator_t *it)

## Variables
constexpr const char * | kIOServicePlane = "IOService"
const mach_port_t | kIOMasterPortDefault

## Macro Definition Documentation

## ◆ IOKIT

#define IOKIT

Definition at line 25 of file IOKit.h.

## Typedef Documentation

## ◆ io_connect_t

typedef io_object_t io_connect_t

Definition at line 32 of file IOKit.h.

## ◆ io_iterator_t

typedef io_object_t io_iterator_t

Definition at line 33 of file IOKit.h.

## ◆ io_registry_entry_t

typedef io_object_t io_registry_entry_t

Definition at line 30 of file IOKit.h.

## ◆ io_service_t

typedef io_object_t io_service_t

Definition at line 31 of file IOKit.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kIOReturnSuccess |

Definition at line 35 of file IOKit.h.

35 {
36 kIOReturnSuccess = 0,
37 };
kIOReturnSuccess
@ kIOReturnSuccess
Definition: IOKit.h:36

## Function Documentation

## ◆ IOIteratorIsValid()

boolean_t IOIteratorIsValid | ( | io_iterator_t | it | ) |

## ◆ IOIteratorNext()

io_object_t IOIteratorNext | ( | io_iterator_t | it | ) |

## ◆ IOIteratorReset()

void IOIteratorReset | ( | io_iterator_t | it | ) |

## ◆ IOObjectConformsTo()

boolean_t IOObjectConformsTo | ( | io_object_t | object,
|  | const io_name_t | name
| ) |  |

## ◆ IOObjectCopyBundleIdentifierForClass()

CFStringRef IOObjectCopyBundleIdentifierForClass | ( | CFStringRef | name | ) |

## ◆ IOObjectCopyClass()

CFStringRef IOObjectCopyClass | ( | io_object_t | object | ) |

## ◆ IOObjectCopySuperclassForClass()

CFStringRef IOObjectCopySuperclassForClass | ( | CFStringRef | name | ) |

## ◆ IOObjectGetClass()

kern_return_t IOObjectGetClass | ( | io_object_t | object,
|  | io_name_t | name
| ) |  |

## ◆ IOObjectGetKernelRetainCount()

uint32_t IOObjectGetKernelRetainCount | ( | io_object_t | object | ) |

## ◆ IOObjectRelease()

kern_return_t IOObjectRelease | ( | io_object_t | object | ) |

Referenced by fml::CFRefTraits< io_object_t >::Release().

## ◆ IOObjectRetain()

kern_return_t IOObjectRetain | ( | io_object_t | object | ) |

Referenced by fml::CFRefTraits< io_object_t >::Retain().

## ◆ IORegistryCreateIterator()

kern_return_t IORegistryCreateIterator | ( | mach_port_t | master,
|  | const io_name_t | plane,
|  | uint32_t | options,
|  | io_iterator_t * | it
| ) |  |

## ◆ IORegistryEntryCreateCFProperties()

kern_return_t IORegistryEntryCreateCFProperties | ( | io_registry_entry_t | entry,
|  | CFMutableDictionaryRef * | properties,
|  | CFAllocatorRef | allocator,
|  | uint32_t | options
| ) |  |

## ◆ IORegistryEntryCreateCFProperty()

CFTypeRef IORegistryEntryCreateCFProperty | ( | io_registry_entry_t | entry,
|  | CFStringRef | key,
|  | CFAllocatorRef | allocator,
|  | uint32_t | options
| ) |  |

## ◆ IORegistryEntryCreateIterator()

kern_return_t IORegistryEntryCreateIterator | ( | io_registry_entry_t | entry,
|  | const io_name_t | plane,
|  | uint32_t | options,
|  | io_iterator_t * | it
| ) |  |

## ◆ IORegistryEntryGetChildIterator()

kern_return_t IORegistryEntryGetChildIterator | ( | io_registry_entry_t | entry,
|  | const io_name_t | plane,
|  | io_iterator_t * | it
| ) |  |

## ◆ IORegistryEntryGetName()

kern_return_t IORegistryEntryGetName | ( | io_registry_entry_t | entry,
|  | io_name_t | name
| ) |  |

## ◆ IORegistryEntryGetParentIterator()

kern_return_t IORegistryEntryGetParentIterator | ( | io_registry_entry_t | entry,
|  | const io_name_t | plane,
|  | io_iterator_t * | it
| ) |  |

## ◆ IORegistryEntryGetPath()

kern_return_t IORegistryEntryGetPath | ( | io_registry_entry_t | entry,
|  | const io_name_t | plane,
|  | io_string_t | path
| ) |  |

## ◆ IORegistryEntryGetProperty()

kern_return_t IORegistryEntryGetProperty | ( | io_registry_entry_t | entry,
|  | const io_name_t | name,
|  | io_struct_inband_t | buffer,
|  | uint32_t * | size
| ) |  |

## ◆ IORegistryEntryGetRegistryEntryID()

kern_return_t IORegistryEntryGetRegistryEntryID | ( | io_registry_entry_t | entry,
|  | uint64_t * | entryID
| ) |  |

## ◆ IORegistryEntrySetCFProperties()

kern_return_t IORegistryEntrySetCFProperties | ( | io_registry_entry_t | entry,
|  | CFTypeRef | properties
| ) |  |

## ◆ IORegistryGetRootEntry()

io_registry_entry_t IORegistryGetRootEntry | ( | mach_port_t | master | ) |

## ◆ IOServiceGetMatchingService()

io_service_t IOServiceGetMatchingService | ( | mach_port_t | master,
|  | CFDictionaryRef matching | CF_RELEASES_ARGUMENT
| ) |  |

## ◆ IOServiceGetMatchingServices()

kern_return_t IOServiceGetMatchingServices | ( | mach_port_t | master,
|  | CFDictionaryRef matching | CF_RELEASES_ARGUMENT,
|  | io_iterator_t * | it
| ) |  |

## ◆ IOServiceMatching()

CFMutableDictionaryRef IOServiceMatching | ( | const char * | name | ) |

## ◆ IOServiceNameMatching()

CFMutableDictionaryRef IOServiceNameMatching | ( | const char * | name | ) |

## Variable Documentation

## ◆ kIOMasterPortDefault

const mach_port_t kIOMasterPortDefault
| extern

## ◆ kIOServicePlane

constexpr const char* kIOServicePlane = "IOService"
| constexpr

Definition at line 28 of file IOKit.h.